Backport support for AMD Polaris

Bug #1639896 reported by Timo Aaltonen on 2016-11-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mesa (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
xserver-xorg-video-amdgpu (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Timo Aaltonen

Bug Description

[Impact]
Xenial has x-x-v-amdgpu 1.1.0 but 1.1.2 adds more PCI-ID's and fixes bugs.

Mesa needs a bunch of commits backported from 12.0.x. [update] 12.0.6 backported instead

[Test case]
Test desktop with a Polaris GPU, it should run with full 2D/3D-acceleration

[Regression potential]
This is a stable upstream release, and 16.10 ships the same versions so regression potential should be minimal.

Timo Aaltonen (tjaalton) on 2016-11-07
Changed in mesa (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2016-11-07
summary: - Backport userland support for Polaris
+ Backport support for Polaris
summary: - Backport support for Polaris
+ Backport support for AMD Polaris
Timo Aaltonen (tjaalton) wrote :

mesa 12.0.6 backported instead

Changed in mesa (Ubuntu Xenial):
status: New → Fix Committed
description: updated
Timo Aaltonen (tjaalton) on 2017-01-31
Changed in xserver-xorg-video-amdgpu (Ubuntu Xenial):
assignee: nobody → Timo Aaltonen (tjaalton)
status: New → In Progress
Amr Ibrahim (amribrahim1987) wrote :

xserver-xorg-video-amdgpu-hwe-16.04 (1.1.2-1~16.04.1) is in xenial-proposed. Should it be dropped and replaced with this SRU?

Timo Aaltonen (tjaalton) wrote :

no, it's a separate source package used on 16.04.2 and up, this one is for 16.04{,.1}

Amr Ibrahim (amribrahim1987) wrote :

Got it. Thanks.

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-amdgpu into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/1.1.2-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-amdgpu (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Timo Aaltonen (tjaalton) wrote :

mesa 12.0.6 is in updates now

Changed in mesa (Ubuntu Xenial):
status: Fix Committed → Fix Released
ethan.hsieh (ethan.hsieh) wrote :

I have verified xserver-xorg-video-amdgpu (1.1.2) and mesa (12.0.6)

Test result:
1. glxgears: Pass
2. glmark2: Pass
3. S3 Test: Pass
(sudo fwts s3 --s3-multiple=30 --s3-min-delay=30 --s3-max-delay=30)

Test Environment
1. Kernel: 4.4.0-49-generic
2. VGA compatible controller [AMD/ATI] Device [1002:67df], Kernel driver in use: amdgpu
3. Installed packages:
amdgpu-pro-dkms (16.60-377537)
xserver-xorg-video-amdgpu (1.1.2-0ubuntu0.16.04.1)
libegl1-mesa-drivers:amd64 (12.0.6-0ubuntu0.16.04.1)
libgbm1:amd64 (12.0.6-0ubuntu0.16.04.1)
libgl1-mesa-dri:amd64 (12.0.6-0ubuntu0.16.04.1)
libglapi-mesa:amd64 (12.0.6-0ubuntu0.16.04.1)
libgles1-mesa:amd64 (12.0.6-0ubuntu0.16.04.1)
libgles2-mesa:amd64 (12.0.6-0ubuntu0.16.04.1)
libosmesa6:amd64 (12.0.6-0ubuntu0.16.04.1)
libxatracker2:amd64 (12.0.6-0ubuntu0.16.04.1)
libegl1-mesa:amd64 (12.0.6-0ubuntu0.16.04.1)
libgl1-mesa-glx:amd64 (12.0.6-0ubuntu0.16.04.1)
libwayland-egl1-mesa:amd64 (12.0.6-0ubuntu0.16.04.1)

Timo Aaltonen (tjaalton) on 2017-02-21
tags: added: verification-done
removed: verification-needed
Robie Basak (racb) wrote :

13:17 <rbasak> sil2100, tjaalton: in bug 1639896, is there any thought to testing users who are on AMD but not using Polaris?

13:17 <ubottu> bug 1639896 in xserver-xorg-video-amdgpu (Ubuntu Xenial) "Backport support for AMD Polaris" [Undecided,Fix committed] https://launchpad.net/bugs/1639896

13:17 <rbasak> We don't want to regress those users accidentally, right?

13:17 <rbasak> For example, if the code that detected what card was in use was broken and was accidentally "always Polaris of course".

Robie Basak (racb) wrote :

13:19 <tjaalton> rbasak: all such tests use pci-id's. this adds new to support polaris

13:19 <tjaalton> old radeons use -ati

13:20 <tjaalton> this is for gcn1.0 and up iirc

13:20 <rbasak> I'm talking of "regression risk in case our understanding is wrong", not "what is our understanding".

13:21 <tjaalton> "code that detected" is in the driver

13:21 <tjaalton> you assume it's broken

13:22 <rbasak> I assume that broken-ness is unknown without some method to try to ensure that it's not.

13:22 <tjaalton> it's in 16.10

13:22 <tjaalton> guess we'd have heard by now

13:23 <rbasak> That's fair.

13:23 <tjaalton> also on 16.04.2

13:23 <rbasak> Oh? 16.04.2 pulled from xenial-proposed for this package?

13:24 <tjaalton> no, same version

13:24 <tjaalton> x-x-v-amdgpu-hwe-16.04

13:24 <rbasak> xserver-xorg-video-amdgpu is 1.1.0-1 in xenial release, doesn't exist in xenial-updates and is 1.1.2-0ubuntu0.16.04.1 in xenial-proposed, now?

13:24 <rbasak> Oh, I see.

13:24 <rbasak> OK

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-amdgpu - 1.1.2-0ubuntu0.16.04.1

---------------
xserver-xorg-video-amdgpu (1.1.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * Backport to xenial.
    - bugfix release
    - further support for Polaris (LP: #1639896)

xserver-xorg-video-amdgpu (1.1.2-1) unstable; urgency=medium

  * New upstream release.
    - fix-configdir.diff: Dropped, fixed upstream

  [ Julien Cristau ]
  * Use https URL in debian/watch.

xserver-xorg-video-amdgpu (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * fix-configdir.diff: Fix installing the config snippet.

 -- Timo Aaltonen <email address hidden> Mon, 07 Nov 2016 20:40:47 +0200

Changed in xserver-xorg-video-amdgpu (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xserver-xorg-video-amdgpu has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers